=== debian/changelog ===
libosmium (2.14.2-2) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 20:31:10 +0200

libosmium (2.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop byteorder patch, included upstream.
  * Don't ignore test failures on sh4, problematic test removed.
  * Check DEB_BUILD_OPTIONS for nocheck in dh_auto_test override.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 07:08:15 +0200

libosmium (2.14.1-2) unstable; urgency=medium

  * Ignore test failures on sh4.
  * Don't ignore test failures on architectures arm*/mips*/ppc*/sparc*.
  * Add upstream patch to fix test failure on big endian architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 Jul 2018 16:40:14 +0200

libosmium (2.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.
  * Use filter instead of findstring to prevent partial matches.
  * Require at least libprotozero-dev 1.6.3.
  * Drop libutfcpp-dev (build) dependency.
  * Update osmcode.org URLs to use HTTPS.
  * Update copyright holders for utf8 headers removal.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 Jul 2018 11:20:35 +0200

libosmium (2.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop libproj-dev build dependency, not directly required and already
    pulled in via libgdal-dev.
  * Update copyright-format URL to use HTTPS.
  * Don't use libjs-jquery for Doxygen docs.
  * Bump Standards-Version to 4.1.3, no changes.
  * Update Vcs-* URLs for Salsa.
  * Update copyright file, changes:
    - Update copyright years for Jochen Topf
    - Drop John Maddock from copyright holders
    - Drop license & copyright for protozero

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Mar 2018 21:25:40 +0200
