## libosmium 2.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,20 +12,35 @@
 
 #-----------------------------------------------------------------------------
 #
-#  Project version
-#
-#-----------------------------------------------------------------------------
+#  Configurations
+#
+#-----------------------------------------------------------------------------
+
+set(CMAKE_CXX_FLAGS_COVERAGE
+    "-g -O0 -fno-inline-functions -fno-inline --coverage ${extra_coverage_flags_}"
+    CACHE STRING "Flags used by the compiler during coverage builds.")
+
+set(CMAKE_EXE_LINKER_FLAGS_COVERAGE
+    "--coverage"
+    CACHE STRING "Flags used by the linker during coverage builds.")
 
 set(CMAKE_CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo;MinSizeRel;Dev;Coverage"
     CACHE STRING
     "List of available configuration types"
     FORCE)
 
+
+#-----------------------------------------------------------------------------
+#
+#  Project version
+#
+#-----------------------------------------------------------------------------
+
 project(libosmium)
 
 set(LIBOSMIUM_VERSION_MAJOR 2)
-set(LIBOSMIUM_VERSION_MINOR 14)
-set(LIBOSMIUM_VERSION_PATCH 2)
+set(LIBOSMIUM_VERSION_MINOR 15)
+set(LIBOSMIUM_VERSION_PATCH 0)
 
 set(LIBOSMIUM_VERSION
     "${LIBOSMIUM_VERSION_MAJOR}.${LIBOSMIUM_VERSION_MINOR}.${LIBOSMIUM_VERSION_PATCH}")
@@ -99,14 +114,6 @@
 #if(HAS_KEEP_INLINE_FUNCTIONS)
 #    set(extra_coverage_flags_ "-fkeep-inline-functions")
 #endif()
-
-set(CMAKE_CXX_FLAGS_COVERAGE
-    "-g -O0 -fno-inline-functions -fno-inline --coverage ${extra_coverage_flags_}"
-    CACHE STRING "Flags used by the compiler during coverage builds.")
-
-set(CMAKE_EXE_LINKER_FLAGS_COVERAGE
-    "--coverage"
-    CACHE STRING "Flags used by the linker during coverage builds.")
 
 if(CMAKE_BUILD_TYPE STREQUAL "Coverage")
     if(BUILD_EXAMPLES OR BUILD_HEADERS OR BUILD_BENCHMARKS)
@@ -386,7 +393,3 @@
          RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/include"
          include/osmium/*.hpp)
 
-    file(MAKE_DIRECTORY header_check)
-
-    foreach(hpp ${ALL_HPPS})
-        if(GDAL_FOUND OR NOT ((hpp STREQUAL "osmium/area/problem_reporter_ogr.hpp") OR (hpp STREQUAL "osmium/geom/ogr.hpp")))
