=== debian/changelog ===
libosmium (2.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Update copyright years for Jochen Topf.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Feb 2019 17:12:59 +0100
