=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libprotozero-dev (>= 1.6.3),
                libsparsehash-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libosmium/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libosmium.git
 Homepage: https://osmcode.org/libosmium/
