=== debian/changelog ===
libosmium (2.15.2-1) unstable; urgency=medium

  * New upstream release.
  * Don't define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H, done upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 17 Aug 2019 08:04:26 +0200

libosmium (2.15.1-2) unstable; urgency=medium

  * Define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H for PROJ 6.0.0 compatibility.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 14:39:35 +0200
