=== debian/changelog ===
libosmium (2.15.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Nov 2019 06:35:55 +0100

libosmium (2.15.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Sep 2019 05:54:40 +0200
