=== debian/changelog ===
libosmium (2.15.6-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Jun 2020 08:02:49 +0200

libosmium (2.15.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update copyright years for Jochen Topf.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Apr 2020 15:21:30 +0200
