=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                doxygen,
                cmake,
                graphviz,
@@ -15,7 +15,7 @@
                libprotozero-dev (>= 1.6.3),
                libsparsehash-dev,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libosmium/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libosmium.git
 Homepage: https://osmcode.org/libosmium/
